| Home | Libraries | People | FAQ | More

## Struct template incrementable

boost::type_erasure::incrementable

## Synopsis

    // In header: <boost/type_erasure/operators.hpp>

    template<typename T = _self>
    struct incrementable {

      // public static functions
      static void apply(T &);
    };

## Description

The incrementable concept allow pre and post increment on an any. The contained type must provide a pre-increment operator.

### `incrementable` public static functions

1.     static void apply(T &);